document.addEventListener('DOMContentLoaded', function() {
    // Fonction pour ouvrir la modal
    function openModal(modalId) {
        const modal = document.getElementById(modalId);
        if (modal) {
            modal.style.display = "block";
        }
    }

    // Fonction pour fermer la modal
    function closeModal(modalId) {
        const modal = document.getElementById(modalId);
        if (modal) {
            modal.style.display = "none";
        }
    }

    // Ouvre les modals lorsqu'un bouton est cliqué
    document.body.addEventListener('click', function(event) {
        if (event.target.matches('span[data-modal]')) {
            const modalId = event.target.getAttribute('data-modal');
            openModal(modalId);
        }

        // Ferme la modal lorsqu'on clique sur le bouton de fermeture
        if (event.target.matches('.close[data-modal]')) {
            const modalId = event.target.getAttribute('data-modal');
            closeModal(modalId);
        }

        // Ferme la modal lorsqu'on clique en dehors du contenu
        document.querySelectorAll('.modal').forEach(modal => {
            if (event.target === modal) {
                modal.style.display = "none";
            }
        });
    });
});
